Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1488917 (CVE-2017-13730) - CVE-2017-13730 ncurses: Illegal address access in the function _nc_read_entry_source()
Summary: CVE-2017-13730 ncurses: Illegal address access in the function _nc_read_entry...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-13730
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1484284 (view as bug list)
Depends On: 1484284 1488923
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 13:07 UTC by Andrej Nemec
Modified: 2019-09-29 14:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:24:30 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-06 13:07:38 UTC
There is an illegal address access in the function _nc_read_entry_source() in progs/tic.c in ncurses 6.0 that might lead to a denial of service attack.

Bug report:

https://bugzilla.redhat.com/show_bug.cgi?id=1484284

Comment 1 Andrej Nemec 2017-09-06 13:12:05 UTC
Created ncurses tracking bugs for this issue:

Affects: fedora-all [bug 1488923]

Comment 2 Miroslav Lichvar 2018-07-27 15:24:17 UTC
*** Bug 1484284 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.